Summary: GtkAda - shared libraries for GtkAda binding
Name: GtkAda 
Version: 1.2.8
Release: 1
Copyright: GPL
ExclusiveArch: i386 i486 i586 i686
Group: System Environment/Libraries
Source: http://gtkada.eu.org/%{name}-%{version}.tar.gz
Patch0: GtkAda-1.2.8-soname.patch
Patch1: GtkAda-1.2.7-pixbuf.patch
Url: http://gtkada.eu.org
Requires: gnat >= 3.12p
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: gtk+ >= 1.2.6, gnat >= 3.12p, gnat-devel >= 3.12p, gdk-pixbuf-devel >= 0.7.0
Prereq: /sbin/ldconfig
Prefix: /usr

%package devel
Summary: GtkAda - Ada95 binding to the Gtk+ widgets
Requires: gnat-devel >= 3.12p
Group: Development/Libraries

%package GL
Summary: GtkAda - An OpenGL add-on for the GtkAda binding 
Requires: gnat >= 3.12p, Mesa >= 3.2
Group: System Environment/Libraries
BuildPrereq: /usr/lib/libGL.so

%package devel-GL
Summary: GtkAda - An OpenGL add-on for the GtkAda binding
Requires: gnat >= 3.12p, Mesa >= 3.2
Group: Development/Libraries
BuildPrereq: /usr/lib/libGL.so

%description
GtkAda is an Ada95 graphical toolkit based on Gtk+, providing the complete
set of Gtk+ widgets using the Object-Oriented features of this language.

This package includes the runtime libraries, which are required to run
programs compiled with the GtkAda.

%description devel
GtkAda is an Ada95 graphical toolkit based on Gtk+, providing the complete
set of Gtk+ widgets using the Object-Oriented features of this language.

This package includes the development tools, which allows you to write
Ada programs with Gtk+.

%description GL
GtkAda is an Ada95 graphical toolkit based on Gtk+, providing the complete
set of Gtk+ widgets using the Object-Oriented features of this language.

This package contains an runtime library of OpenGL add-on for the GtkAda binding.

%description devel-GL
GtkAda is an Ada95 graphical toolkit based on Gtk+, providing the complete
set of Gtk+ widgets using the Object-Oriented features of this language.

This package contains an static library of OpenGL add-on for the GtkAda binding.

%prep
%setup -q
%patch0 -p1 -b .soname
%patch1 -p1 -b .pixbuf

%build
%configure --disable-gtktest
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
make install prefix=$RPM_BUILD_ROOT%{_prefix}

# delele it, it is ready in gnome-utils
rm -f $RPM_BUILD_ROOT%{_prefix}/bin/gdialog

(
  cd src
  /bin/ls -1 glib*.ads glib*.adb gdk*.ads gdk*.adb gtk*.ads gtk*.adb \
	| sed -e 's|^\g|\%attr(-,root,root) \/usr/include/gtkada/g|' >../file-devel
  cd lib-obj
  /bin/ls -1 glib*.ali gdk*.ali gtk*.ali \
	| sed -e 's|^\g|\%attr(-,root,root) \/usr/include/gtkada/g|' >>../../file-devel
)

(
   cd src/opengl
   /bin/ls -1 gdk*.ads gdk*.adb gtk*.ads gtk*.adb *.ali \
	| sed -e 's|^\g|\%attr(-,root,root) \/usr/include/gtkada/g|' >../../file-devel-GL
)

(
  cd $RPM_BUILD_ROOT%{_prefix}/lib
  mv libgtkada.so libgtkada-3.12p.so.%{version}
  mv libgtkada_gl.so libgtkada_gl-3.12p.so.%{version}
  mv libgtkada_art.so libgtkada_art-3.12p.so.%{version}
  chmod 755 libgtkada-3.12p.so.%{version} libgtkada_gl-3.12p.so.%{version} libgtkada_art-3.12p.so.%{version}
  /sbin/ldconfig -n .
  ln -fs libgtkada-3.12p.so.1.2 libgtkada.so
  ln -fs libgtkada_gl-3.12p.so.1.2 libgtkada_gl.so
  ln -fs libgtkada_art-3.12p.so.1.2 libgtkada_art.so
)

(
  cd docs
  for i in dgate.1 gate.1 gtkada-config.1 ; do
    install -m 0444 $i $RPM_BUILD_ROOT%{_mandir}/man1/
  done
)

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%post GL
/sbin/ldconfig

%postun GL
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/lib/*.so.*

%files devel -f file-devel
%defattr(-,root,root)
%dir %{_prefix}/include/gtkada
%{_prefix}/lib/libgtkada.a
%{_prefix}/lib/libgtkada_art.a
%{_prefix}/lib/libgtkada_art.so
%{_prefix}/lib/libgtkada.so
%{_prefix}/bin/*
%{_mandir}/man?/*

%files GL
%defattr(-,root,root)
%{_prefix}/lib/libgtkada_gl-3.12p.so.*

%files devel-GL -f file-devel-GL
%defattr(-,root,root)
%{_prefix}/lib/libgtkada_gl.so
%{_prefix}/lib/libgtkada_gl.a

%changelog
* Thu Jul 27 2000 Than Ngo <than@redhat.de>
- update to 1.2.8
- use %%{_mandir} 
- fix group

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- fix BuildPrereq

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon May 22 2000 Ngo Than <than@redhat.de>
- initial RPM for 7.0
